Support » Plugin: Lingotek Translation » 500 Internal Server Error

  • Resolved dardizzola

    (@dardizzola)


    Hi there,
    I’m using Lingoteg+Polylang from many years.
    From about two months I’m having problem with Polylang: when the plugin is active my site stop working and I get the 500 Internal Server Error.

    Can I use some other plugin instead of Polylang?

    Thanks for your answers.
    Davide.

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 16 total)
  • Plugin Author penyaskito

    (@penyaskito)

    We only support Polylang at the moment.

    Is there more information about the error in your php log?

    We just released a new version, maybe you can give it a try and see if it fixes your issues.

    Hope this helps.

    I have the same issue, Lingotek is causing 5xx errors with PHP8+. Is there a fix?

    • This reply was modified 1 year, 3 months ago by alerioja.
    Thread Starter dardizzola

    (@dardizzola)

    I’m still waiting…

    Thread Starter dardizzola

    (@dardizzola)

    I’ve yet reinstalled polylang 3.0.4, same 500 error
    The site is running with PHP 7.4.16

    this is the last error log:

    Data 	Log
    10/05/2021 17:12:15 	[error] [client 93.146.99.202] - www.abruzzo-segreto.it - AH01215: PHP Warning: Use of undefined constant PLL_ADMIN - assumed 'PLL_ADMIN' (this will throw an Error in a future version of PHP) in /web/htdocs/www.abruzzo-segreto.it/home/wp-content/plugins/lingotek-translation/lingotek.php on line 587: /web/htdocs/www.abruzzo-segreto.it/home/wp-admin/plugins.php, referer https://www.abruzzo-segreto.it/wp-admin/plugins.php?plugin_status=inactive&paged=1&s
    10/05/2021 17:12:15 	[error] [client 93.146.99.202] - www.abruzzo-segreto.it - AH01215: PHP Warning: Use of undefined constant PLL_SETTINGS - assumed 'PLL_SETTINGS' (this will throw an Error in a future version of PHP) in /web/htdocs/www.abruzzo-segreto.it/home/wp-content/plugins/lingotek-translation/lingotek.php on line 587: /web/htdocs/www.abruzzo-segreto.it/home/wp-admin/plugins.php, referer https://www.abruzzo-segreto.it/wp-admin/plugins.php?plugin_status=inactive&paged=1&s
    10/05/2021 17:12:15 	[error] [client 93.146.99.202] - www.abruzzo-segreto.it - AH01215: PHP Warning: Use of undefined constant PLL_ADMIN - assumed 'PLL_ADMIN' (this will throw an Error in a future version of PHP) in /web/htdocs/www.abruzzo-segreto.it/home/wp-content/plugins/lingotek-translation/lingotek.php on line 608: /web/htdocs/www.abruzzo-segreto.it/home/wp-admin/plugins.php, referer https://www.abruzzo-segreto.it/wp-admin/plugins.php?plugin_status=inactive&paged=1&s
    10/05/2021 17:12:03 	[error] [client 93.146.99.202] - www.abruzzo-segreto.it - End of script output before headers: index.php
    • This reply was modified 1 year, 3 months ago by dardizzola.
    Plugin Author penyaskito

    (@penyaskito)

    Thanks for the info, and sorry you are facing this problem. We are aware of this issue and we are still working on it.

    While we fix it, you can change your php settings so notices are not considered errors.

    Plugin Author penyaskito

    (@penyaskito)

    @alerioja A fix will be released next week for php8.0 compatibility.

    @dardizzola We are still working on better compatibility with Polylang 3. But again, those errors are just warnings, so proper php settings should return your site to functional.

    Thank you!

    Plugin Author penyaskito

    (@penyaskito)

    @alerioja Sorry it took more than expected. 1.4.13 has been released and should fix those problems with php8.
    Please open a new thread if you still find any issues. Thanks a lot for reporting this!

    @dardizzola Those warnings can still be logged with 1.4.13, but the site should be fully functional. We hope to fix those wqrnings as soon as possible.

    Thank you, really appreciate it!!

    Plugin Author penyaskito

    (@penyaskito)

    This should be fixed in 1.4.14. Hope this helps.

    Thread Starter dardizzola

    (@dardizzola)

    I’ve upgraded Polylang to Version 3.1 but the problem (error 500) is still there.
    I can’t use polylang!

    My site is using:
    Avada v7.4.1
    WP Version 5.8

    Plugin Author penyaskito

    (@penyaskito)

    Did you upgrade Lingotek too? What’s the error message?

    Thread Starter dardizzola

    (@dardizzola)

    Lingotek Version 1.4.16

    All installed plugins have automatic update enabled.

    Plugin Author penyaskito

    (@penyaskito)

    What’s the error message?
    Anything in php logs?

    Thread Starter dardizzola

    (@dardizzola)

    This is the only error message that I have in error_log

    3/08/2021 16:24:43 [error] [client 2.39.7.132] – http://www.abruzzo-segreto.it – End of script output before headers: index.php, referer https://www.abruzzo-segreto.it/wp-admin/plugins.php?plugin_status=all&paged=1&s

    In the web browser:

    Internal Server Error
    The server encountered an internal error or misconfiguration and was unable to complete your request.
    Please contact the server administrator at postmaster@www.abruzzo-segreto.it to inform them of the time this error occurred, and the actions you performed just before this error.
    
    More information about this error may be available in the server error log.

    The server is using PHP Version 7.4.19
    The error is raised only when I activated polylang

Viewing 15 replies - 1 through 15 (of 16 total)
  • The topic ‘500 Internal Server Error’ is closed to new replies.